com.ibm.openpages.api.workflow

## Enum WFProcessEventType

- java.lang.Object
- - java.lang.Enum<WFProcessEventType>
  - - com.ibm.openpages.api.workflow.WFProcessEventType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WFProcessEventType>

      public enum WFProcessEventType
      extends java.lang.Enum<WFProcessEventType>

  Represents the type of process event being logged for workflow operations.
  Since:
    8.0.0.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `assigneeAdded` Refers to the event when an actor is assigned to an activity.
    `assigneeRemoved` Refers to the event when an assignee is removed from an activity.
    `completeActivity` Refers to the event when an Activity is completed.
    `completeProcess` Refers to the event when the Process is completed.
    `createActivity` Refers to the event when an Activity is created.
    `createProcess` Refers to the event when the Process is instantiated.
    `failedNotification` Refers to the event when an Activity transition fails to send notification.
    `failedTransition` Refers to the event when an Activity transition fails to process.
    `launchNewProcessActionCompleted` Refers to the result when Transition Activity type launchNewProcess completes.
    `otherActorsAdded` Refers to the event when a other actor is added to an activity.
    `otherActorsRemoved` Refers to the event when a other actor is removed from an activity.
    `processOwnerAdded` Refers to the event when an owner is assigned to a process.
    `processOwnerRemoved` Refers to the event when an owner is removed from a process.
    `reminderSent` Refers to the event when a email reminder has been sent.
    `routedByGateway` Refers to the event when an Activity transition is processed through a gateway node.
    `subscriberAdded` Refers to the event when a subscriber is added to an activity.
    `subscriberRemoved` Refers to the event when a subscriber is removed from an activity.
    `synchronizedFields` Refers to the event when the workflow fields are synchronized
    `terminateProcess` Refers to the event when the Process is terminated.
    `transition` Refers to the event when an Activity transition is selected.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Returns the internal id for the event type.
    `static WFProcessEventType` | `getValue(int id)` Returns the event type for the internal id.
    `static WFProcessEventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WFProcessEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### createProcess

          public static final WFProcessEventType createProcess

      Refers to the event when the Process is instantiated.

    - #### completeProcess

          public static final WFProcessEventType completeProcess

      Refers to the event when the Process is completed.

    - #### createActivity

          public static final WFProcessEventType createActivity

      Refers to the event when an Activity is created.

    - #### completeActivity

          public static final WFProcessEventType completeActivity

      Refers to the event when an Activity is completed.

    - #### transition

          public static final WFProcessEventType transition

      Refers to the event when an Activity transition is selected.

    - #### assigneeAdded

          public static final WFProcessEventType assigneeAdded

      Refers to the event when an actor is assigned to an activity.

    - #### assigneeRemoved

          public static final WFProcessEventType assigneeRemoved

      Refers to the event when an assignee is removed from an activity.

    - #### subscriberAdded

          public static final WFProcessEventType subscriberAdded

      Refers to the event when a subscriber is added to an activity.

    - #### subscriberRemoved

          public static final WFProcessEventType subscriberRemoved

      Refers to the event when a subscriber is removed from an activity.

    - #### processOwnerAdded

          public static final WFProcessEventType processOwnerAdded

      Refers to the event when an owner is assigned to a process.

    - #### processOwnerRemoved

          public static final WFProcessEventType processOwnerRemoved

      Refers to the event when an owner is removed from a process.

    - #### terminateProcess

          public static final WFProcessEventType terminateProcess

      Refers to the event when the Process is terminated.

    - #### failedTransition

          public static final WFProcessEventType failedTransition

      Refers to the event when an Activity transition fails to process.

    - #### routedByGateway

          public static final WFProcessEventType routedByGateway

      Refers to the event when an Activity transition is processed through a gateway node.

    - #### synchronizedFields

          public static final WFProcessEventType synchronizedFields

      Refers to the event when the workflow fields are synchronized

    - #### failedNotification

          public static final WFProcessEventType failedNotification

      Refers to the event when an Activity transition fails to send notification.

    - #### launchNewProcessActionCompleted

          public static final WFProcessEventType launchNewProcessActionCompleted

      Refers to the result when Transition Activity type launchNewProcess completes.

    - #### otherActorsAdded

          public static final WFProcessEventType otherActorsAdded

      Refers to the event when a other actor is added to an activity.

    - #### otherActorsRemoved

          public static final WFProcessEventType otherActorsRemoved

      Refers to the event when a other actor is removed from an activity.

    - #### reminderSent

          public static final WFProcessEventType reminderSent

      Refers to the event when a email reminder has been sent.

  - ### Method Detail

    - #### values

          public static WFProcessEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WFProcessEventType c : WFProcessEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WFProcessEventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getId

          public int getId()

      Returns the internal id for the event type.

    - #### getValue

          public static WFProcessEventType getValue(int id)

      Returns the event type for the internal id.

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.